program avaliador;

function martelada(f : longint):longint; forward;

{$I resolver.pas}

var
   N, K, forcaNecessaria, sinosPartidos, tentativas : longint;
   t, casos, resposta				    : longint;

function martelada(f : longint):longint;
begin
   if (sinosPartidos >= K) then
   begin
      writeln('ERRO: todos os sinos foram partidos.');
      exit(-1);
   end;
   inc(tentativas);
   if (f<forcaNecessaria) then
      martelada := 0
   else if (f > N) then
   begin
      writeln('ERRO: Forca excessiva.');
      exit(-1);
   end
   else
   begin
      inc(sinosPartidos);
      martelada := 1;
   end;
end;

begin
   read(N, K, casos);
   for t:= 1 to casos do
   begin
      tentativas := 0; sinosPartidos := 0;
      read(forcaNecessaria);
      resposta := resolver(N, K);
      if (resposta = forcaNecessaria) then
	 writeln('Resposta correcta (', resposta, ' apos ', tentativas, ' tentativas).')
      else
	 writeln('Resposta errada (respondido=', resposta, ', resposta=',forcaNecessaria,').');
   end;
end.
